<?php

session_start();

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");



require_once ("../contenido/contenido.php");

$oContenido = new cContenido();



require_once ("./cPuntoventa.php");

$oPuntoventa = new cPuntoventa();

require_once ("../almacen/cAlmacen.php");

$oAlmacen = new cAlmacen();







if(isset($_POST['pun_ven']) and $_POST['pun_ven']>0)

{

	//punto de venta

	$dts=$oPuntoventa->mostrar_puntoventa_por_usuario($_SESSION['usuario_id'],$_POST['pun_ven']);

	$dt = mysqli_fetch_array($dts);

	$_SESSION['empresa_id']		=$dt['tb_empresa_id'];

	$_SESSION['empresa_nombre']	=$dt['tb_empresa_razsoc'];



	$_SESSION['puntoventa_id']	=$dt['tb_puntoventa_id'];

	$_SESSION['puntoventa_nom']	=$dt['tb_puntoventa_nom'];

	

	$alm_id	=$dt['tb_almacen_id'];

	mysqli_free_result($dts);

	

	//almacen

	$dts=$oAlmacen->mostrarUno($alm_id);

	$dt = mysqli_fetch_array($dts);

	$alm_nom=$dt['tb_almacen_nom'];

	$alm_ven=$dt['tb_almacen_ven'];

	mysqli_free_result($dts);

	$_SESSION['almacen_id']=$alm_id;

	$_SESSION['almacen_nom']=$alm_nom;



	//$url=ir_principal($_SESSION['usuariogrupo_id']);

	//$url='../vendedor/';

	if($_SESSION['usuariogrupo_id']==2)$url='../administrador/';

	if($_SESSION['usuariogrupo_id']==3)$url='../vendedor/';





	$data['usuario_id']=$_SESSION['usuario_id'];

	$data['puntoventa_id']=$_SESSION['puntoventa_id'];

	$data['empresa_id']=$_SESSION['empresa_id'];

	$data['mensaje']='PUNTO DE VENTA CAMBIADO';

	header('Content-Type: application/json');

	echo json_encode($data);

	  //Print_r ($_SESSION);

	//header("Location: $url");

}



?>